Create Route

Add Way Points to Task

The Create Route endpoint adds a a list of way points for an existing task. for adding a single way point use Create Way Point.

curl --include \
     --request POST \
     --header "Content-Type: application/json" \
     --data-binary "{\"company_id\": 1, way_points=[{\"customer_id\":1, \"scheduled_at\": \"2013-10-17T22:47:58.000Z\", \"address\": \"416 Water St. New York, NY 10002\", \"lat\": 32.4345345, \"lng\": 34.534534},{\"customer_id\":2, \"scheduled_at\": \"2013-10-17T22:52:58.000Z\", \"address\": \"416 Water St. New York, NY 10002\", \"lat\": 32.4345345, \"lng\": 34.534534},{\"customer_id\":3, \"scheduled_at\": \"2013-10-17T22:52:58.000Z\", \"address\": \"416 Water St. New York, NY 10002\", \"lat\": 32.4345345, \"lng\": 34.534534}], \"timestamp\":\"1414421210832\", \"access_token\":\"K2Pxkwvx6-3PtW44zvEV\", \"signature\":\"db00061fa75f869c968f72d48449e457ae06959a\"}" \
https://api.bringg.com/partner_api/tasks/{task_id}/way_points/routes
Path Params
int32
required

Unique identifier representing a task

Body Params
way_points
array of strings
required

List of the task's way points

way_points*
int32
required

Unique identifier representing a company

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json